<div class="wrapper fadeInDown">
  <div id="formContent">
    <!-- Tabs Titles -->
    <h2  [ngClass]="{'active':event,'inactive underlineHover':(!event)}" (click)="login()"> Sign In </h2>
    <h2 [ngClass]="{'active':(!event),'inactive underlineHover':(event)}" (click)="register()">Sign Up </h2>
    <button class="btn btn-danger" routerLink="/" style="margin-left: 2rem;"><i class="fa fa-times"></i></button>
    <!-- Icon -->
    <div class="fadeIn first m-5">
      <img src="../../../assets/logo2.png" id="icon" alt="User Icon" />
    </div>

    <!-- Login Form -->
    <ng-container *ngIf="event; else tipContent2">
      <form mt-5>
        <input type="submit" class="fadeIn fourth" value="Log In" (click)="redirect()">
      </form>
    </ng-container>
    <ng-template #tipContent2>
      <form mt-5 [formGroup]="productForm" novalidate>
        <input type="text" id="businessName" class="fadeIn second" name="Business Name" placeholder="Business Name"
          [formControl]="productForm.controls['businessName']" required>
        <div *ngIf="productForm.controls.businessName.touched && productForm.controls.businessName.errors?.required"
          class="text text-danger">
          Business Name is required.
        </div>
        <input type="text" id="Name" class="fadeIn second" name="Name" placeholder="Name"
          [formControl]="productForm.controls['name']" required>
          <div *ngIf="productForm.controls.name.touched && productForm.controls.name.errors?.required"
          class="text text-danger">
            Name is required.
        </div>
        <input type="text" id="Email" class="fadeIn third" name="Email" placeholder="Email"
          [formControl]="productForm.controls['email']" required>
          <div *ngIf="productForm.controls.email.touched && productForm.controls.email.errors?.required"
          class="text text-danger">
          Email is required.
        </div>
        <input type="text" id="Phone" class="fadeIn third" name="Phone" placeholder="Phone"
          [formControl]="productForm.controls['phoneNumber']" required>
          <div *ngIf="productForm.controls.phoneNumber.touched && productForm.phoneNumber.email.errors?.required"
          class="text text-danger">
          Phone Number is required.
        </div>
        <input type="text" id="Address" class="fadeIn third" name="Address" placeholder="Address"
          [formControl]="productForm.controls['address']" required>
          <div *ngIf="productForm.controls.address.touched && productForm.address.email.errors?.required"
          class="text text-danger">
          Address Number is required.
        </div>
        <input type="submit" class="fadeIn fourth" value="Register" (click)="submit()">
      </form>
    </ng-template>

  </div>
</div>
